Bug 31520 - Предлагаю свой вариант файла f90.syntax
: Предлагаю свой вариант файла f90.syntax
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-11-20 12:47 by
Modified: 2016-03-16 10:10 (History)


Attachments
Файл синтаксиса Fortran90 (8.75 KB, application/octet-stream)
2015-11-20 12:48, serpiph
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-11-20 12:47:36
Предлагаю вариант подсветки синтаксиса языка FORTRAN90 взамен штатного,
добавлены элементы языка и немного изменена подсветка перенесённых строк.
Штатный вариант мне не очень нравится.
------- Comment #1 From 2015-11-20 12:48:55 -------
Created an attachment (id=6432) [details]
Файл синтаксиса Fortran90
------- Comment #2 From 2015-11-20 14:08:48 -------
Лучше бы в трекер на http://www.midnight-commander.org/

Файл синтаксиса оценить не могу - я код Фортрана видел больше 20 лет назад в
последний раз.
------- Comment #3 From 2015-11-20 16:42:57 -------
Как минимум можно сравнить оригинальный файл с моим в части изменений. Может,
стоит отправить его разработчикам mc?
------- Comment #4 From 2015-11-20 16:52:00 -------
Так я это и предложил. :-)

Файлы сравнить не проблема, проблема увидеть, что это даст. Я перенести-то в
багтрекер mc могу, но я не смогу ответить на вопрос "зачем", если он возникнет.
------- Comment #5 From 2015-11-20 17:38:06 -------
Зачем:
1) более полный набор команд и функций, имеющихся в FORTRAN90 и FORTRAN95.
2) исключение ситуации, когда при переносе строк в свободном формате (при
помощи '&' в конце строки) не получалось так, что все последующие строки
подсвечиваются инверсно. Изначальная функция при каждом переносе изменяла
инверсию строк через одну. Если последней была инверсно выведенная строка, то
все последующие строки тоже становились инверсными до тех пор, пока не
встретится новый многострочный набор.

Второе очень сильно бесит и мешает видеть код как надо. Я оставил подсветку
только амперсандов в конце.
------- Comment #6 From 2015-11-29 18:18:34 -------
mc-4.8.15-alt1 -> sisyphus:

* Sun Nov 29 2015 Sergey Y. Afonin <asy@altlinux> 4.8.15-alt1
- 4.8.15
- replaced f90.syntax (ALT #31520)
------- Comment #7 From 2015-11-29 18:30:34 -------
А ведь был же уже bug 28506. Или тут продолжение ?
------- Comment #8 From 2015-11-30 11:40:33 -------
(В ответ на комментарий №7)
> А ведь был же уже bug 28506. Или тут продолжение ?

Это продолжение. Я помню об аналогичной записи, пытался найти, но не смог найти
номер. Да я и не понял, что в конце получилось, взяли ли на рассмотрение или
нет.
------- Comment #9 From 2016-03-14 17:49:26 -------
(In reply to comment #8)

> Это продолжение. Я помню об аналогичной записи, пытался
> найти, но не смог найти номер.

Удобно вот так искать:
https://packages.altlinux.org/en/Sisyphus/srpms/mc/allbugs

> Да я и не понял, что в конце получилось

Так в Ticket #2962 написано "Applied in master". В общем, думаю, что надо
завести ещё один тикет и написать, что это дополнение к #2962.
------- Comment #10 From 2016-03-15 22:00:21 -------
https://www.midnight-commander.org/ticket/3618
------- Comment #11 From 2016-03-16 10:10:59 -------
Изменения из ticket 3618 приняты:
Patch applied as [b678d3b2fd245689ba0554330badc86f0240f6b9]